import{l as e}from"./locale-wDcg0qDg.js";const t=`The Confirmation Modal prompts the user for confirmation on certain actions. A dialog box is rendered through a modal with two buttons, one for confirming and one for canceling the action.

The Confirmation Modal becomes visible upon listening to a require-confirm event, and uses the event payload to populate its state as follows:

- Title: the title of the modal.
- Content: the text content of the modal.
- okText: the text content of the "Cancel" button.
- cancelText: the text content of the "Confirm" button.
- onOk: the callback to execute on confirm. Note: this key cannot be set through configuration. Use configOk key instead.
- onCancel: the callback to execute on cancel. Note: this key cannot be set through configuration. Use configCancel key instead.
- configOk: a "tag"-"properties" pair to mount a custom component in place of the default confirmation button. Usually, mounted components are instances of the Button component.
- configCancel: a "tag"-"properties" pair to mount a custom component in place of the default cancel button. Usually, mounted components are instances of the Button component.
`,o=`La Confirmation Modal richiede all'utente la conferma di determinate azioni. Una finestra di dialogo viene resa attraverso un modale con due pulsanti, uno per confermare e uno per annullare l'azione.

La Confirmation Modal diventa visibile dopo aver ascoltato un evento require-confirm e utilizza il payload dell'evento per popolare il suo stato come segue:

- title: il titolo della modale.
- content: il contenuto testuale della maschera.
- okText: il contenuto del testo del pulsante "Conferma".
- cancelText: il contenuto del testo del pulsante "Annulla".
- onOk: callback da eseguire alla conferma. Nota: questo tasto non può essere impostato tramite la configurazione. Utilizzare invece il tasto configOk.
- onCancel: callback da eseguire in caso di annullamento. Nota: questo tasto non può essere impostato tramite configurazione. Utilizzare invece il tasto configCancel.
- configOk: una coppia "tag"-"properties" per montare un componente personalizzato al posto del pulsante di conferma predefinito. Di solito, i componenti montati sono istanze del componente Button.
- configCancel: una coppia "tag"-"properties" per montare un componente personalizzato al posto del pulsante di annullamento predefinito. Di solito, i componenti montati sono istanze del componente Button.
`,n={docLink:"https://docs.mia-platform.eu/docs/microfrontend-composer/back-kit/components/confirmation_modal",label:"Confirmation Modal",description:"A modal to handle the confirmation of a user action such as deleting or sending POST requests",descriptionLong:{en:t,it:o},example:JSON.stringify({tag:"bk-confirmation-modal",properties:{customLocale:{title:{en:"Text",it:"Testo"},content:{en:"Text",it:"Testo"},okText:{en:"Text",it:"Testo"},cancelText:{en:"Text",it:"Testo"}}}}),type:"layout",properties:{width:{type:"string",__mia_configuration:{label:"Width",description:"The width of the modal container",priority:"high",group:"appearance"}},height:{type:"string",__mia_configuration:{label:"Height",description:"The height of the modal container",priority:"high",group:"appearance"}},customLocale:{__mia_configuration:{attribute:!1,label:"Custom Locale",description:"Custom localized texts shown as component labels.These may be overridden by the payload of the triggering event.",priority:"low",group:"content"},type:"object",properties:{title:e("Default Title"),content:e("Default Message"),okText:e("Default OK Button Label"),cancelText:e("Default Cancel Button Label")}}}};var i=n;export{i as default};
