import{l as e}from"./locale-wDcg0qDg.js";const t=`The Export Modal renders a form inside a modal with standard fields that allow user to configure a data export task.

It opens whenever a component signals the need to specify configuration for an export task. That is, whenever a export-data/request-config event is received.

It is usually best to have this event emitted by a component like the CRUD Export Client, which uses it to open the modal with an associated transactionId. For instance, the CRUD Export Client emits a export-data/request-config event upon listening to an export-data event.

The Export Modal allows the user to specify:

- the format onto which data should be exported ("csv" or "xlsx")
- what fiters to apply to the data to be exported. Options are to export the whole collection, to apply the same filters that have been applied to the current visualization of the collection, to export selected items only
- what fields of the collection to include in the export result
- if the specified format is "csv", what separator to use (comma or semicolon)
- the date format of each date type field, if any
- the date time zone of each date type field, if any

Upon submitting the form, the Export Modal signals the need to export data accordingly with the specified options. A component like the CRUD Export Client might pick up on the export request.
`,o=`L'Export Modal presenta un form all'interno di una modale con campi standard che permettono all'utente di configurare un'operazione di esportazione dei dati.

La modale si apre ogni volta che un componente richiede la configurazione per un'attività di esportazione, ovvero quando viene ricevuto un evento export-data/request-config.

Di solito, questo evento viene emesso da un componente come il client di esportazione CRUD, che lo utilizza per aprire la modale con un transactionId associato. Ad esempio, il client di esportazione CRUD emette un evento export-data/request-config quando rileva un evento export-data.

La modale di esportazione permette all'utente di specificare:

- Il formato in cui i dati devono essere esportati ("csv" o "xlsx")
- Quali filtri applicare ai dati da esportare: esportare l'intera collezione, applicare gli stessi filtri utilizzati nella visualizzazione corrente della collezione, o esportare solo gli elementi selezionati
- Quali campi della collezione includere nei risultati dell'esportazione
- Se il formato specificato è "csv", quale separatore utilizzare (virgola o punto e virgola)
- Il formato della data per ogni campo di tipo data, se presente
- Il fuso orario per ogni campo di tipo data, se presente

Quando il modulo viene inviato, l'Export Modal segnala la necessità di esportare i dati secondo le opzioni specificate. Un componente come il client di esportazione CRUD può rilevare questa richiesta di esportazione.
`,i={docLink:"https://docs.mia-platform.eu/docs/microfrontend-composer/back-kit/components/export_modal",type:"layout",label:"Export Modal",description:"Modal to allow user configuration of a data export task",descriptionLong:{en:t,it:o},example:JSON.stringify({tag:"bk-export-modal",properties:{dateTimeZoneOptions:[{value:"+01:00",label:"(GMT +01:00) Berlin/Rome"},{value:"Africa/Cairo",label:"Cairo"}]}}),properties:{dateTimeZoneOptions:{__mia_configuration:{attribute:!1,label:"Time Zone Options",description:"Options shown in the time zone select",priority:"high"},type:"array",items:{type:"object",properties:{label:{type:"string"},value:{type:"string"}}}},dateFormatOptions:{__mia_configuration:{attribute:!1,label:"Date Format Options",description:"Options shown in the date format select",priority:"high"},type:"array",items:{type:"object",properties:{label:{type:"string"},value:{type:"string"}}}},customLocale:{__mia_configuration:{attribute:!1,label:"Custom Locale",description:"Custom localized texts shown as component labels",priority:"low",group:"content"},type:"object",properties:{modalTitle:e("Modal Title"),fileFormat:e("File Format"),fileFormatCSVOption:e("File Format CSV Option"),fileFormatExcelOption:e("File Format Excel Option"),items:e("Items"),itemsAllOption:e("Items All Option"),itemsFilteredOption:e("Items Filtered Option"),itemsSelectedOption:e("Items Selected Option"),columns:e("Columns"),columnsAllOption:e("Columns All Option"),columnsCustomizedOption:e("Columns Customized Option"),columnsCustomizedPlaceholeder:e("Columns Customized Placeholeder"),csvSeparator:e("CSV Separator"),csvSeparatorCommaOption:e("CSV Separator Comma Option"),csvSeparatorSemicolonOption:e("CSV Separator Semicolon Option"),okButton:e("OK Button"),cancelButton:e("Cancel Button"),columnsName:e("Columns Name"),columnNameIdOption:e("ColumnName Id Option"),columnNameLabelOption:e("Column Name Label Option"),format:e("Date Format"),formatCustomizedPlaceholder:e("Choose the date format"),timezone:e("Time Zone"),timezoneCustomizedPlaceholder:e("Choose the date time zone")}}}};var n=i;export{n as default};
