const e="The Tabs component offers a fixed set of filters, presented as tabs. Each tab is associated to a list of filters. By default, selecting a tab triggers a request to replace the filters associated with the previously selected tab and apply the filters of the newly selected tab during data retrieval. To achieve this behavior, the Tabs component injects the chosen filters into the payload of a `change-query` event, utilizing the `characteristic` key.\n",t="Il componente Tabs offre un set fisso di filtri, presentati come schede. Ogni scheda è associata a un elenco di filtri. Per impostazione predefinita, la selezione di una scheda attiva la richiesta di sostituire i filtri associati alla scheda precedentemente selezionata e di applicare i filtri della nuova scheda selezionata durante il recupero dei dati. Per ottenere questo comportamento, il componente Tabs inietta i filtri scelti nel payload di un evento `change-query`, utilizzando la chiave `characteristic`.\n",a={docLink:"https://docs.mia-platform.eu/docs/microfrontend-composer/back-kit/components/tabs",type:"layout",description:"Provides a fixed set of filters rendered as tabs, possibly on top of a table",descriptionLong:{en:e,it:t},example:JSON.stringify({tag:"bk-tabs",properties:{tabs:[{key:"pending",title:{en:"Pending",it:"In attesa"},filters:[{property:"status",operator:"equal",value:"Pending"}]},{key:"preparing",title:{en:"Preparing",it:"In preparazione"},filters:[{property:"status",operator:"equal",value:"Preparing"}]}]}}),label:"Tabs",properties:{tabs:{default:[],type:"array",__mia_configuration:{attribute:!1,label:"Tabs",description:"Array with tabs configuration. For configuration ease, Tabs will be provided as an array by the user and remapped on startup to better fit the react component",priority:"high",arrayVisualization:{type:"table",configuration:{columns:["title"]}},group:"content"},items:{type:"object",properties:{title:{__mia_configuration:{"schema-hint":"localized-text",label:"Title",description:"Tab label"}},filters:{__mia_configuration:{label:"Filters",description:"Filters joined in AND to bind to the current tab",arrayVisualization:{type:"table",configuration:{columns:["property","operator","value"]}}},type:"array",items:{type:"object",properties:{property:{type:"string",__mia_configuration:{label:"Property",description:"Field to be filtered"}},operator:{__mia_configuration:{label:"Operator",description:"Filter operation",enumLabels:{equal:"Equal",exists:"Exists",notEqual:"Not equal",greater:"Greater than",greaterEqual:"Greater than or equal",less:"Less",lessEqual:"Less equal",regex:"Regex",includeSome:"Include some",includeAll:"Include all",includeExactly:"Include exactly",notIncludeAny:"Not include any",between:"Between",notBetween:"Not between",hasLengthEqual:"Has length equal",hasLengthGreaterEqual:"Has length greater than or equal",hasLengthLessEqual:"Has length less than or equal"}},type:"string",enum:["equal","exists","notEqual","greater","greaterEqual","less","lessEqual","regex","includeSome","includeAll","includeExactly","notIncludeAny","between","notBetween","hasLengthEqual","hasLengthGreaterEqual","hasLengthLessEqual"]},value:{__mia_configuration:{label:"Value"},oneOf:[{type:"string"},{type:"number"},{type:"boolean"},{type:"array"},{type:"object",properties:{value:{oneOf:[{type:"string"},{type:"number"},{type:"array"}]}},required:["value"]},{type:"object",properties:{value:{type:"string"},offset:{type:"number"},operation:{type:"string",enum:["add","subtract"],unit:{type:"srting",enum:["w","d","D","M","y","h","m","s","ms","millisecond","second","minute","hour","day","week","month","year","milliseconds","seconds","minutes","hours","days","weeks","months","years"]}}},required:["value"]}]}}}},event:{__mia_configuration:{"schema-hint":"event",label:"Event",description:"Event to pipe instead of the default one when tab is clicked"},type:"object",properties:{label:{type:"string",__mia_configuration:{label:"Event"}},payload:{type:"object",default:{},__mia_configuration:{label:"Payload"}},meta:{type:"object",__mia_configuration:{label:"Meta"}}}},order:{type:"number",__mia_configuration:{label:"Order",description:"Positive integer to order tabs"}},key:{type:"string",__mia_configuration:{label:"Key",description:"String to scope the tab filter within the url"}}},required:["title","key"]}}}};var i=a;export{i as default};
